jif.parse

## Class Amb

- java.lang.Object
- - jif.parse.Amb

- Direct Known Subclasses:
    Access, Array, Inst, InstOrAccess, LabeledExpr, Name

      public abstract class Amb
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Grm` | `parser`
    `protected polyglot.util.Position` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Amb(Grm parser, polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Grm` | `parser()`
    `polyglot.util.Position` | `position()`
    `polyglot.ast.TypeNode` | `toClassType()`
    `polyglot.ast.Expr` | `toExpr()`
    `polyglot.ast.Id` | `toIdentifier()`
    `java.lang.String` | `toName()`
    `polyglot.ast.Expr` | `toNewArray(polyglot.util.Position p, java.lang.Integer extraDims)`
    `polyglot.ast.Expr` | `toNewArrayPrefix(polyglot.util.Position p, java.lang.Integer extraDims)`
    `polyglot.ast.PackageNode` | `toPackage()`
    `polyglot.ast.Prefix` | `toPrefix()`
    `polyglot.ast.QualifierNode` | `toQualifier()`
    `polyglot.ast.Receiver` | `toReceiver()`
    `polyglot.ast.TypeNode` | `toType()`
    `polyglot.ast.TypeNode` | `toUnlabeledType()`
    `polyglot.ast.Expr` | `wrap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pos

          protected final polyglot.util.Position pos

    - #### parser

          protected final Grm parser

  - ### Constructor Detail

    - #### Amb

          public Amb(Grm parser,
                     polyglot.util.Position pos)

  - ### Method Detail

    - #### wrap

          public polyglot.ast.Expr wrap()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toExpr

          public polyglot.ast.Expr toExpr()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toPrefix

          public polyglot.ast.Prefix toPrefix()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toPackage

          public polyglot.ast.PackageNode toPackage()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toReceiver

          public polyglot.ast.Receiver toReceiver()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toType

          public polyglot.ast.TypeNode toType()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toUnlabeledType

          public polyglot.ast.TypeNode toUnlabeledType()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toClassType

          public polyglot.ast.TypeNode toClassType()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toNewArray

          public polyglot.ast.Expr toNewArray(polyglot.util.Position p,
                                              java.lang.Integer extraDims)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toNewArrayPrefix

          public polyglot.ast.Expr toNewArrayPrefix(polyglot.util.Position p,
                                                    java.lang.Integer extraDims)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toIdentifier

          public polyglot.ast.Id toIdentifier()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toName

          public java.lang.String toName()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### position

          public polyglot.util.Position position()

    - #### parser

          public Grm parser()

    - #### toQualifier

          public polyglot.ast.QualifierNode toQualifier()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`